/*
 * Copyright (C) 2009 SHARP Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.co.sharp.android.SampleIrdaIrss;

import android.net.Uri;
/**
 * ファイル情報モデルのクラスである。
 */
public class SampleFilePickerStatusModel {

    /* ファイル情報 */
    /** フルファイル名 */
    private String mFileNameFull;
    /** ファイル名 */
    private String mFileName;
    /** MIMEタイプ */
    private String mMimeType;
    /** ファイルパス */
    private String mFilePath;
    /** ファイルサイズ */
    private long   mFileSize;
    /** ファイルのURI */
    private Uri    mUri;

    /** コンストラクタ */
    public SampleFilePickerStatusModel() {
        /* 全て初期化する */
        setFileNameFull(null);
        setFileName(null);
        setMimeType(null);
        setFilePath(null);
        setFileSize(0);
        setUri(null);
    }

    /* セッター＆ゲッター */
    public void setFileNameFull(String fileNameFull) {
        this.mFileNameFull = fileNameFull;
    }

    public String getFileNameFull() {
        return mFileNameFull;
    }

    public void setFileName(String fileName) {
        this.mFileName = fileName;
    }

    public String getFileName() {
        return mFileName;
    }

    public void setMimeType(String mimeType) {
        this.mMimeType = mimeType;
    }

    public String getMimeType() {
        return mMimeType;
    }

    public void setFilePath(String filePath) {
        this.mFilePath = filePath;
    }

    public String getFilePath() {
        return mFilePath;
    }

    public void setFileSize(long fileSize) {
        this.mFileSize = fileSize;
    }

    public long getFileSize() {
        return mFileSize;
    }

    public void setUri(Uri uri) {
        this.mUri = uri;
    }

    public Uri getUri() {
        return mUri;
    }

}